# Draw
TKDraw
Draw

# Draw_DataMapIteratorOfVMap Class Reference

`#include <Draw_DataMapIteratorOfVMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Draw_DataMapIteratorOfVMap ()
Standard_EXPORT | Draw_DataMapIteratorOfVMap (const Draw_VMap &aMap)
Standard_EXPORT void | Initialize (const Draw_VMap &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const Handle_Draw_Drawable3D & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Draw_DataMapIteratorOfVMap::Draw_DataMapIteratorOfVMap | ( |  | ) |

Standard_EXPORT Draw_DataMapIteratorOfVMap::Draw_DataMapIteratorOfVMap | ( | const Draw_VMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Draw_DataMapIteratorOfVMap::Initialize | ( | const Draw_VMap & | aMap | ) |

Standard_EXPORT const Standard_Integer& Draw_DataMapIteratorOfVMap::Key | ( |  | ) | const

void Draw_DataMapIteratorOfVMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Draw_DataMapIteratorOfVMap::operator new | ( | size_t | size | ) | `[inline]`

void* Draw_DataMapIteratorOfVMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Draw_Drawable3D& Draw_DataMapIteratorOfVMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Draw_DataMapIteratorOfVMap.hxx